// LEPCOM_C.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "string.h"
#include "LepCom.h"

int main(int argc, char* argv[])
{
	printf("LepCom DLL simple example.\n");

	int status = LepComOpen();	  // Open the LEP device

	//LepComDebug(1);
	//LepComUserMessage("Hello World.\r\n");


	if( status) {
		char buffer[1024];
		strcpy(buffer,"ver\r");				// Setup the Command
		LepComWrite(buffer, strlen(buffer));// Send the Command
		LepComWait4LF(2000);				// Wait for the answer(LineFeed), up to 2s
		int size = LepComGetRxLen(0);		// Get the length of the rx
		LepComReadString(buffer, size);		// Get the rx buffer
		LepComWait4LF(300);				// Lastly wait for the 'A: LF' from the ver command
		LepComDumpRx();					// and dump it

		LepComClose();						// Close the port
		printf("%s", buffer);				// print the results
		}
	else
		printf("Unable to open LEP device.\n");

	return 0;
}

