VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "LepCom Dll Vb Example"
   ClientHeight    =   3195
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   3195
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.Label Label1 
      Caption         =   "Label1"
      Height          =   3015
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   4455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Declare Function LepComOpen Lib "LEPCOM.DLL" () As Long
Private Declare Function LepComClose Lib "LEPCOM.DLL" () As Long
Private Declare Function LepComWrite Lib "LEPCOM.DLL" (ByVal str As String, ByVal size As Long) As Long
Private Declare Function LepComWriteString Lib "LEPCOM.DLL" (ByVal str As String) As Long
Private Declare Function LepComRead Lib "LEPCOM.DLL" (ByVal str As String, ByVal size As Long) As Long
Private Declare Function LepComReadString Lib "LEPCOM.DLL" (ByVal str As String, ByVal size As Long) As Long
Private Declare Function LepComGetRxLen Lib "LEPCOM.DLL" (ByVal mode As Long) As Long
Private Declare Function LepComWait4LF Lib "LEPCOM.DLL" (ByVal TimeOut As Long) As Long


Sub Form_Load()         ' runs on form load

Dim buffer As String * 1042    ' All string passed to the DLL must be memory allocated
Dim status, size As Long
    
status = LepComOpen()         ' Open the LEP device
If status Then
    buffer = "ver" + Chr$(13)           ' Setup the command
    status = LepComWrite(buffer, 4)     ' Send the Command, 4 bytes long
    status = LepComWait4LF(2000)        ' Wait for the LineFeed, wait up to 2seconds
    size = LepComGetRxLen(0)            ' Get the Rx length
    status = LepComReadString(buffer, size) ' read the Rx String
    status = LepComClose()                  ' Close the device
    Label1.Caption = buffer                 ' print the results
    Else    ' Failed to open LEP device
        Label1.Caption = "Failed to open LEP device"
    End If
End Sub
